%bcond_without  check

Name:           ruff-lsp
Version:        0.0.49
Release:        1%{?dist}
Summary:        A Language Server Protocol implementation for Ruff

License:        MIT
URL:            https://github.com/astral-sh/ruff-lsp
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
# Test dependencies
BuildRequires:  %{py3_dist pytest}
BuildRequires:  python3-lsp-jsonrpc

Requires:       ruff

%description
A Language Server Protocol implementation for Ruff,
an extremely fast Python linter and code formatter, written in Rust.

Ruff can be used to replace Flake8 (plus dozens of plugins),
Black, isort, pyupgrade, and more, all while executing tens or
hundreds of times faster than any individual tool.

ruff-lsp enables Ruff to be used in any editor that supports the LSP,
including Neovim, Sublime Text, Emacs and more. For Visual Studio Code,
check out the Ruff VS Code extension.

ruff-lsp supports surfacing Ruff diagnostics and providing Code Actions
to fix them, but is intended to be used alongside another Python LSP in
order to support features like navigation and autocompletion.


%prep
%autosetup -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ruff_lsp


%if %{with check}
%check
%pytest
%endif


%files -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/ruff-lsp

%changelog
* Sat Jan 13 2024 blinxen <h-k-81@hotmailcom> - 0.0.49-1
- Initial package
